
Redmine - Defect #15113

The mail method should return a Mail::Message

2013-10-12 14:19 - Florian Schwab

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Florian Schwab % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution: Fixed Affected version:  

Description

The overwritten mail method (ActionMailer::Base) in source:trunk/app/models/mailer.rb should return a Mail object instead of a

symbol (the locale set/returned by set_language_if_valid) to be compliant with the original mail method.

Associated revisions

Revision 12210 - 2013-10-13 09:58 - Jean-Philippe Lang

Fixed that the mail method should return a Mail::Message (#15113).

History

#1 - 2013-10-13 09:59 - Jean-Philippe Lang

- Subject changed from The mail method should return a object of type Mail to The mail method should return a Mail::Message

- Category set to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Florian Schwab

- Target version set to 2.4.0

- Resolution set to Fixed

The patch broke a test. I've fixed it and added a test in r12210, thanks.

Files

mailer_return_value.patch 1021 Bytes 2013-10-12 Florian Schwab
